Skip to main content
POST
/
api
/
v2.1
/
fintrans
/
{accountId}
/
transfers
/
types.transfer
Create standard transfer
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/transfers/types.transfer \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceAccount": {
    "walletId": "<string>",
    "iban": "<string>",
    "name": "<string>"
  },
  "destinationAccount": {
    "walletId": "<string>",
    "iban": "<string>",
    "name": "<string>"
  },
  "target": {
    "walletId": "<string>",
    "iban": "<string>",
    "name": "<string>"
  },
  "amount": {
    "value": "<string>",
    "scale": 123,
    "currency": "<string>"
  },
  "beneficiaryId": "<string>",
  "beneficiaryIban": "<string>",
  "beneficiaryName": "<string>",
  "reference": "<string>",
  "description": "<string>",
  "currency": "<string>",
  "type": "<string>",
  "consent": {
    "consentReference": "<string>"
  },
  "merchantDetails": {
    "merchantId": "<string>",
    "merchantName": "<string>",
    "merchantCategory": "<string>"
  },
  "customerDetails": {
    "customerId": "<string>",
    "customerName": "<string>",
    "customerEmail": "<string>"
  },
  "assetId": "<string>",
  "assetSubUnitId": "<string>"
}
'

Sample cURL

curl --request POST \
  --url 'https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/transfers/types.transfer' \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'X-Tenant-Id: <TENANT_ID>' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'X-Forwarded-From: <FORWARDED_FROM>' \
  --header 'deviceId: <DEVICE_ID>' \
  --data '{
    "type": "TRANSFER",
    "amount": { "value": "10000", "currency": "EUR", "scale": 2 },
    "beneficiary": { "iban": "DE89370400440532013000", "name": "Partner GmbH" },
    "description": "External transfer"
  }'

Headers

User-Agent
string
X-Forwarded-For
string
X-Tenant-ID
string
sec-ch-ua-platform
string

Path Parameters

accountId
string
required

Body

application/json
sourceAccount
object
destinationAccount
object
target
object
amount
object
beneficiaryId
string
beneficiaryIban
string
beneficiaryName
string
reference
string
description
string
currency
string
type
string
merchantDetails
object
customerDetails
object
assetId
string
assetSubUnitId
string

Response

200

OK